Get index information
- GET /{index}
Get information about one or more indices. For data streams, the API returns information about the stream’s backing indices.
Required authorization
- Index privileges view_index_metadata manage
Query parameters
-
allow_no_indicesboolean · default: true -
A setting that does two separate checks on the index expression. If
false, the request returns an error (1) if any wildcard expression (including_alland*) resolves to zero matching indices or (2) if the complete set of resolved indices, aliases or data streams is empty after all expressions are evaluated. Iftrue, index expressions that resolve to no indices are allowed and the request returns an empty result. -
expand_wildcardsstring · default: open -
Type of index that wildcard expressions can match. If the request can target data streams, this argument determines whether wildcard expressions match hidden data streams. Supports comma-separated values, such as open,hidden.
Supported values include:
all: Match any data stream or index, including hidden ones.open: Match open, non-hidden indices. Also matches any non-hidden data stream.closed: Match closed, non-hidden indices. Also matches any non-hidden data stream. Data streams cannot be closed.hidden: Match hidden data streams and hidden indices. Must be combined withopen,closed, orboth.none: Wildcard expressions are not accepted.
-
Values:
allopenclosedhiddennone -
If
false, the request returns an error if it targets a concrete (non-wildcarded) index, alias, or data stream that is missing, closed, or otherwise unavailable. Iftrue, unavailable concrete targets are silently ignored. -
localboolean · default: false -
If true, the request retrieves information from the local node only. Defaults to false, which means information is retrieved from the master node.
Response
-
<string>object -
aliasesmap string to object -
<string>object -
filterQuery -
Query used to limit documents the alias can access.
-
index_routingstring -
Value used to route indexing operations to a specific shard. If specified, this overwrites the
routingvalue for indexing operations. -
If
true, the alias is hidden. All indices for the alias must have the sameis_hiddenvalue. -
lifecycleobject -
Data stream lifecycle applicable if this is a data stream.
-
data_retentionstring -
If defined, every document added to this data stream will be stored at least for this time frame. Any time after this duration the document could be deleted. When empty, every document in this data stream will be stored indefinitely.
-
retention_determined_by -
Configuration source that can influence the retention of a data stream.
-
Values:
data_stream_configurationdefault_global_retentionmax_global_retentiondefault_failures_retention -
downsamplingobject -
The list of downsampling rounds to execute as part of this downsampling configuration
-
downsampling_method -
The method used to downsample the data. There are two options
aggregateandlast_value. It requiresdownsamplingto be defined. Defaults toaggregate. -
Values:
aggregatelast_value